%define upstream_name    Set-Intersection
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Get intersection (of set theory) of arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Perl distribution provides an API to get intersection (of set theory) of
arrays.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1497134
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-4.mga7
+ Revision: 1271122
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1033034
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 966333
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 843624
- update to 0.04

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 748448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 686191
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-4.mga4
+ Revision: 514601
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-3.mga3
+ Revision: 372605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 0.20.0-2.mga3
+ Revision: 311203
- Fix summary and description.

* Sun Oct 28 2012 shlomif <shlomif> 0.20.0-1.mga3
+ Revision: 311197
- imported package perl-Set-Intersection


* Sun Oct 28 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
